Loading...
Searching...
No Matches
BALL::SimpleDownloaderHelper::UPThread Class Reference

`#include <BALL/SYSTEM/simpleDownloader.h>`

Inheritance diagram for BALL::SimpleDownloaderHelper::UPThread:

## Public Member Functions

| UPThread (const QUrl &url, const QByteArray *data, QByteArray *result, SimpleDownloader *parent)
| UPThread (const QUrl &url, const QByteArray *data, const String &path, SimpleDownloader *parent)
| UPThread (const QUrl &url, QIODevice *file, QByteArray *result, SimpleDownloader *parent)
| UPThread (const QUrl &url, QIODevice *file, const String &path, SimpleDownloader *parent)
Public Member Functions inherited from BALL::SimpleDownloaderHelper::HelperThread
| HelperThread (const QUrl &url, QByteArray *result, SimpleDownloader *parent)
| HelperThread (const QUrl &url, const String &path, SimpleDownloader *parent)
int | getStatus ()

## Protected Member Functions

virtual QNetworkReply * | getReply_ (QNetworkAccessManager *man)
Protected Member Functions inherited from BALL::SimpleDownloaderHelper::HelperThread
void | run ()

## Protected Attributes

const QByteArray * | data_
QIODevice * | file_
Protected Attributes inherited from BALL::SimpleDownloaderHelper::HelperThread
int | err_
QUrl | url_
QByteArray * | result_
String | path_
SimpleDownloader * | parent_

## Detailed Description

Definition at line 181 of file simpleDownloader.h.

## Constructor & Destructor Documentation

## UPThread() [1/4]

BALL::SimpleDownloaderHelper::UPThread::UPThread | ( | const QUrl & | url,
|  | const QByteArray * | data,
|  | QByteArray * | result,
|  | SimpleDownloader * | parent )

## UPThread() [2/4]

BALL::SimpleDownloaderHelper::UPThread::UPThread | ( | const QUrl & | url,
|  | const QByteArray * | data,
|  | const String & | path,
|  | SimpleDownloader * | parent )

## UPThread() [3/4]

BALL::SimpleDownloaderHelper::UPThread::UPThread | ( | const QUrl & | url,
|  | QIODevice * | file,
|  | QByteArray * | result,
|  | SimpleDownloader * | parent )

## UPThread() [4/4]

BALL::SimpleDownloaderHelper::UPThread::UPThread | ( | const QUrl & | url,
|  | QIODevice * | file,
|  | const String & | path,
|  | SimpleDownloader * | parent )

## Member Function Documentation

## getReply_()

virtual QNetworkReply * BALL::SimpleDownloaderHelper::UPThread::getReply_ | ( | QNetworkAccessManager * | man | ) |

protected virtual

Implements BALL::SimpleDownloaderHelper::HelperThread.

## Member Data Documentation

## data_

const QByteArray* BALL::SimpleDownloaderHelper::UPThread::data_

protected

Definition at line 192 of file simpleDownloader.h.

## file_

QIODevice* BALL::SimpleDownloaderHelper::UPThread::file_

protected

Definition at line 193 of file simpleDownloader.h.